OMDecoratedSpline (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics
Class OMDecoratedSpline

    java.lang.Object
      com.bbn.openmap.omGraphics.geom.BasicGeometry
          com.bbn.openmap.omGraphics.OMGraphicAdapter
              com.bbn.openmap.omGraphics.OMAbstractLine
                  com.bbn.openmap.omGraphics.OMPoly
                      com.bbn.openmap.omGraphics.OMSpline
                          com.bbn.openmap.omGraphics.OMDecoratedSpline

All Implemented Interfaces:
  Revertable, OMGeometry, OMGraphic, OMGraphicConstants, java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  OMColdSurfaceFront, OMHotSurfaceFront, OMOcclusion

    public class OMDecoratedSpline

extends OMSpline
implements Revertable

A decorated splined OMPoly. Decoration list is empty, but accessible via getDecorator() Code from OMPoly, few changes : render() just need to delegate the drawing of the polyline to the ShapeDecorator

Version:
  27 juil. 2002
Author:
  Eric LEPICIER
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.OMPoly
`coordMode, COORDMODE_ORIGIN, COORDMODE_PREVIOUS, doShapes, geometryClosed, isPolygon, lat, lon, rawllpts, units, xs, ys`

Fields inherited from class com.bbn.openmap.omGraphics.OMAbstractLine
`arrowhead, nsegs, xpoints, ypoints`

Fields inherited from class com.bbn.openmap.omGraphics.OMGraphicAdapter
`declutterType, displayPaint, edgeMatchesFill, fillPaint, hasLabel, linePaint, matted, mattingPaint, renderType, selected, selectPaint, showEditablePalette, stroke, textureMask`

Fields inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`attributes, lineType, needToRegenerate, shape, visible`

Fields inherited from interface com.bbn.openmap.omGraphics.OMGraphicConstants
`ADD_GRAPHIC_MASK, APP_OBJECT, BASIC_STROKE, CHANGE_APPEARANCE, clear, DECIMAL_DEGREES, DECLUTTERTYPE_LINE, DECLUTTERTYPE_MOVE, DECLUTTERTYPE_NONE, DECLUTTERTYPE_SPACE, DEFAULT_ROTATIONANGLE, DELETE_GRAPHIC_MASK, DESELECT_GRAPHIC_MASK, DESELECTALL_GRAPHIC_MASK, GRAPHICTYPE_ARC, GRAPHICTYPE_BITMAP, GRAPHICTYPE_CIRCLE, GRAPHICTYPE_ELLIPSE, GRAPHICTYPE_GRAPHIC, GRAPHICTYPE_GRID, GRAPHICTYPE_LINE, GRAPHICTYPE_POINT, GRAPHICTYPE_POLY, GRAPHICTYPE_RASTER, GRAPHICTYPE_RECTANGLE, GRAPHICTYPE_TEXT, INDEX, INFOLINE, LABEL, LINETYPE_GREATCIRCLE, LINETYPE_RHUMB, LINETYPE_STRAIGHT, LINETYPE_UNKNOWN, LOWER_GRAPHIC_MASK, LOWER_TO_BOTTOM_GRAPHIC_MASK, NO_ROTATE, OMGRAPHIC_ELT, OMGRAPHIC_TYPE_ATTR, RADIANS, RAISE_GRAPHIC_MASK, RAISE_TO_TOP_GRAPHIC_MASK, REMOVABLE, RENDERTYPE_LATLON, RENDERTYPE_OFFSET, RENDERTYPE_UNKNOWN, RENDERTYPE_XY, SELECT_GRAPHIC_MASK, SORT_GRAPHICS_MASK, TOOLTIP, UPDATE_GRAPHIC_MASK, UPDATED`

Constructor Summary
`OMDecoratedSpline()` Constructor.
`OMDecoratedSpline(double[] llPoints, int units, int lType)` Constructor.
`OMDecoratedSpline(double[] llPoints, int units, int lType, int nsegs)` Constructor.
`OMDecoratedSpline(double latPoint, double lonPoint, int[] xypoints, int cMode)` Constructor.
`OMDecoratedSpline(double latPoint, double lonPoint, int[] xPoints, int[] yPoints, int cMode)` Constructor.
`OMDecoratedSpline(int[] xypoints)` Constructor.
`OMDecoratedSpline(int[] xPoints, int[] yPoints)` Constructor.

Method Summary
`ShapeDecorator` | `getDecorator()` Returns the decorator.
`protected void` | `initDecorations()` Called by constructor, may be overriden.
`void` | `render(java.awt.Graphics g)` Paint the poly.
`void` | `restore(OMGeometry source)` Takes the generic OMGraphic settings from another OMGraphic and pushes them to this one.
`void` | `revert()` Should reverts it.
`void` | `setDecorator(ShapeDecorator decorator)` Sets the decorator.

Methods inherited from class com.bbn.openmap.omGraphics.OMSpline
`generate`

Methods inherited from class com.bbn.openmap.omGraphics.OMPoly
`checkPoints, createShape, distance, getCoordMode, getDoShapes, getIndexOfFirstNodeOfSegIntersect, getLat, getLatLonArray, getLatLonArrayCopy, getLon, getNumSegs, getRawllpts, getShape, getUnits, getXs, getYs, insertRadians, isGeometryClosed, isPolygon, main, setCoordMode, setDoShapes, setFillPaint, setIsPolygon, setLat, setLocation, setLocation, setLocation, setLocation, setLocation, setLon, setNumSegs, setXs, setYs, shouldRenderFill`

Methods inherited from class com.bbn.openmap.omGraphics.OMAbstractLine
`addArrowHead, addArrowHead, addArrowHead, addArrowHead, createArrowHeads, getArrowDirectionType, getArrowHead, getArrowLocation, getWingLength, getWingTip, hasArrowHead, restore, setArrowHead`

Methods inherited from class com.bbn.openmap.omGraphics.OMGraphicAdapter
`clone, deselect, getDeclutterType, getDisplayColor, getDisplayPaint, getEdgeMatchesFill, getFillColor, getFillPaint, getHasLabel, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, hasLineTypeChoice, initLabelingDuringGenerate, isClear, isMatted, isSelected, normalizeDistanceForLineWidth, readStroke, readTextureMask, regenerate, renderLabel, renderShape, select, setDeclutterType, setEdgeMatchesFill, setFillColor, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setHasLabel, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLineColor, setLinePaint, setMatted, setMattingPaint, setRenderType, setSelectColor, setSelected, setSelectPaint, setShowEditablePalette, setStroke, setTextureMask, shouldRenderEdge, writeStroke, writeTextureMask`

Methods inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`_distance, appendShapeEdge, appendShapeEdge, appendShapeEdge, appendShapeEdge, clearAttributes, contains, createAttributeMap, createBoxShape, createShape, createShape, describeShapeDetail, describeShapeDetail, distanceToEdge, distanceToEdge, draw, draw, fill, fill, getAppObject, getAttribute, getAttributes, getDescription, getLineType, getNeedToRegenerate, isRenderable, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGraphic
`clone, deselect, getDeclutterType, getDisplayColor, getDisplayPaint, getFillColor, getFillPaint, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, hasLineTypeChoice, isMatted, isSelected, normalizeDistanceForLineWidth, regenerate, renderLabel, select, setDeclutterType, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setLabelLocation, setLabelLocation, setLabelLocation, setLinePaint, setMatted, setMattingPaint, setRenderType, setSelected, setSelectPaint, setShowEditablePalette, setStroke, setTextureMask, shouldRenderEdge`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGeometry
`clearAttributes, contains, distanceToEdge, draw, draw, fill, fill, getAppObject, getAttribute, getAttributes, getDescription, getLineType, getNeedToRegenerate, isRenderable, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Constructor Detail

### OMDecoratedSpline

    public OMDecoratedSpline()

  Constructor.

### OMDecoratedSpline

    public OMDecoratedSpline(double[] llPoints,
                             int units,
                             int lType)

  Constructor.

  Parameters:
    `llPoints` -
    `units` -
    `lType` -

### OMDecoratedSpline

    public OMDecoratedSpline(double[] llPoints,
                             int units,
                             int lType,
                             int nsegs)

  Constructor.

  Parameters:
    `llPoints` -
    `units` -
    `lType` -
    `nsegs` -

### OMDecoratedSpline

    public OMDecoratedSpline(int[] xypoints)

  Constructor.

  Parameters:
    `xypoints` -

### OMDecoratedSpline

    public OMDecoratedSpline(int[] xPoints,
                             int[] yPoints)

  Constructor.

  Parameters:
    `xPoints` -
    `yPoints` -

### OMDecoratedSpline

    public OMDecoratedSpline(double latPoint,
                             double lonPoint,
                             int[] xypoints,
                             int cMode)

  Constructor.

  Parameters:
    `latPoint` -
    `lonPoint` -
    `xypoints` -
    `cMode` -

### OMDecoratedSpline

    public OMDecoratedSpline(double latPoint,
                             double lonPoint,
                             int[] xPoints,
                             int[] yPoints,
                             int cMode)

  Constructor.

  Parameters:
    `latPoint` -
    `lonPoint` -
    `xPoints` -
    `yPoints` -
    `cMode` -

Method Detail

### render

    public void render(java.awt.Graphics g)

  Paint the poly. This works if generate() has been successful. Same code than OMPoly, just delegates the drawing of the polyline to the ShapeDecorator

  Specified by:
    `render` in interface `OMGeometry`
  Overrides:
    `render` in class `OMPoly`
  Parameters:
    `g` - java.awt.Graphics to paint the poly onto.

### getDecorator

    public ShapeDecorator getDecorator()

  Returns the decorator.

  Returns:
    ShapeDecorator

### setDecorator

    public void setDecorator(ShapeDecorator decorator)

  Sets the decorator.

  Parameters:
    `decorator` - The decorator to set

### initDecorations

    protected void initDecorations()

  Called by constructor, may be overriden.

### revert

    public void revert()

  Description copied from interface: `Revertable`
  Should reverts it.

  Specified by:
    `revert` in interface `Revertable`
  See Also:
    `Revertable.revert()`

### restore

    public void restore(OMGeometry source)

  Description copied from class: `OMGraphicAdapter`
  Takes the generic OMGraphic settings from another OMGraphic and pushes them to this one.

  Specified by:
    `restore` in interface `OMGeometry`
  Overrides:
    `restore` in class `OMPoly`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details